2019-10-16 15:08 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000717FSSCPphysicspublic2006-11-01 10:07
Reportermadaboutgames 
Assigned Tokarajorma 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.9 
Summary0000717: Warping in ships do not change with variables
DescriptionWhen adding variables to select team ship class, this does not come into effect when using the warp effect. eg. when selecting a wing of ships to jump in at a pre-determined point using the warp effect, the ships do not change in accordance with the variables. This seems to work fine if ships do not use the warp effect.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004331

Goober5000 (administrator)

Huh?

Rephrase, and please attach a mission that demonstrates the problem.

~0004340

madaboutgames (reporter)

Sorry if its a bit vague.
We are working on a TBP campaign BHX, which is a campaign which uses many custom variables, player selects friendly race and enemy race, during mission the variables randomly select the ship class for each race. Then the ships change their ship type following the random variables. All ships change fine at start of mission but when using a warp effect for the ship (unticking no warp effect)they do not use the warp effect.

~0004342

Goober5000 (administrator)

Oh. So in other words, the sexp works fine for ships that are in-mission but not for ships that have yet to arrive.

That was done by design, to make the code simpler.

~0004348

madaboutgames (reporter)

LOL, yes, thats the easy way to put.

~0004447

madaboutgames (reporter)

Would there be any chance of changing this in the future? as this would help any campaigns using variables giving us the chance to have more freedom with the missions within it.

~0004450

Goober5000 (administrator)

It would take a significant amount of extra work. How much work I'm not sure. Do you really need this?

~0004453

madaboutgames (reporter)

I can imagine that this may take a lot of work, but we really need this. In a lot of the missions we want friendly and enemy ships to jump in at pre-determined times, currently this can not be used as the ships do not change their ship type, so without this we can not use this option. We really need to use this option as we will only be able to use ships in the mission that start with the mission. It would be much appretiated if you can help us out on this one.

Thanks in advance

Shaun
Mad About Games

~0004744

madaboutgames (reporter)

Any progress yet?

~0004745

Goober5000 (administrator)

No, as I said it would require a significant amount of extra work. I'm not sure when I'll be able to work on it.

~0004795

WMCoolmon (developer)

Could you possibly warp the ships in, far outside from the other ships, set their ship class, and then warp them in again where they're supposed to be?

I know this currently isn't possible but from what Goober's saying it sounds like a warp-in SEXP would be easier to implement.

~0004807

Goober5000 (administrator)

You could try that, but the warp effect generated by the sexp won't do any ship clipping.

~0005560

Goober5000 (administrator)

Reminder sent to karajorma

I've heard that this has been implemented. Is this true?

~0005561

karajorma (administrator)

Yep. I managed to used a function from the team loadout code to implement this.

I'd never noticed that it was a bug report or I'd have nicked it off you and marked it resolved :D

~0005573

Goober5000 (administrator)

Then why didn't you do so just now? :p

Resolving. :D
+Notes

-Issue History
Date Modified Username Field Change
2006-01-16 10:12 madaboutgames New Issue
2006-01-16 18:12 Goober5000 Note Added: 0004331
2006-01-17 06:22 madaboutgames Note Added: 0004340
2006-01-17 11:21 Goober5000 Note Added: 0004342
2006-01-17 12:05 madaboutgames Note Added: 0004348
2006-01-23 07:12 madaboutgames Note Added: 0004447
2006-01-23 11:59 Goober5000 Note Added: 0004450
2006-01-24 06:28 madaboutgames Note Added: 0004453
2006-01-24 19:21 Goober5000 Status new => assigned
2006-01-24 19:21 Goober5000 Assigned To => Goober5000
2006-02-14 09:52 madaboutgames Note Added: 0004744
2006-02-14 09:54 Goober5000 Note Added: 0004745
2006-02-18 01:29 WMCoolmon Note Added: 0004795
2006-02-18 14:34 Goober5000 Note Added: 0004807
2006-05-22 10:11 Goober5000 Note Added: 0005560
2006-05-22 12:38 karajorma Note Added: 0005561
2006-05-22 15:19 Goober5000 Note Added: 0005573
2006-05-22 15:19 Goober5000 Assigned To Goober5000 => karajorma
2006-05-22 15:19 Goober5000 Status assigned => resolved
2006-11-01 10:07 taylor Resolution open => fixed
2006-11-01 10:07 taylor Fixed in Version => 3.6.9
+Issue History